%define	upstream_name	 Schedule-RateLimiter
%define upstream_version 0.01

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Prevent events from happening too quickly
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/D/DW/DWRIGHT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Time::HiRes)
BuildArch:  noarch

%description
Schedule::RateLimiter provides a way to voluntarily restrict how many times a given
action may take place within a specified time frame.  Such a tool may be useful
if you have written something which periodically polls some public resource and
want to ensure that you do not overburden that resource with too many requests.

Initially, one might think that solving this problem would be as simple as
sleeping for the number of seconds divided by the number of iterations in
between each event.  However, that would only be correct if the event took no
time at all.

If you know exactly how much time each event is going to take then you could
build an even more complicated one-liner such as this:

  sleep( (seconds / iterations) - single_event_time )

This module is intended to address the other cases when the exact run-time of
each event is unknown and variable.  This module will try very hard to allow an
event to happen as many times as possible without exceeding the specified
bounds.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor -d
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc Changes MYMETA.yml README
%{perl_vendorlib}/Schedule/RateLimiter.pm
%{_mandir}/man3/*


%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.10.0-6.mga5
+ Revision: 788879
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-5.mga5
+ Revision: 739633
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 686172
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.10.0-3.mga4
+ Revision: 514584
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 372549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + pterjan <pterjan>
    - Fix Source

* Tue Nov 06 2012 pterjan <pterjan> 0.10.0-1.mga3
+ Revision: 315326
- imported package perl-Schedule-RateLimiter

